/**
 * Download admin js
 *
 * @package productive-style
 */

$ = jQuery.noConflict();

$( document ).ready(
    function() { 
        
        // Put in place
        $( '.productive-style-options-page-wrapper .notice' ).prependTo('.productive-style-options-page-wrapper .page-wrapper-body');
        
        $( '.productive_input_color_picker' ).wpColorPicker();
        
        // Delete link clicked
        $( '.productive-style-table-attr-delete-request' ).on(
            'click',
            function(e) {
                e.preventDefault(); 
                $(this).siblings( '.productive-style-table-attr-delete-confirmation' ).slideToggle(
                    "fast",
                    function() {
                    }
                );
            }
        );

        // Cancel delete
        $( '.productive-style-table-attr-delete-no' ).on(
            'click',
            function(e) {
                e.preventDefault(); 
                $(this).parent( '.productive-style-table-attr-delete-confirmation' ).slideToggle(
                    "fast",
                    function() {
                    }
                );
            }
        );

        // Delete confirmed
        $( '.productive-style-table-attr-delete-yes' ).on(
            'click',
            function(e) {
                e.preventDefault(); 
                
                // Assignments
                var item_id = $(this).attr('id');
                var opened_parent = $(this).parent( '.productive-style-table-attr-delete-confirmation' );
                opened_parent.children('.productive-style-table-attr-delete-error').slideUp();
                
                if ( '' === item_id || 0 === item_id ) {
                    opened_parent.children('.productive-style-table-attr-delete-error').html(productive_style_admin_js_url_name.msg_error_deleting_item);
                    opened_parent.children('.productive-style-table-attr-delete-error').slideDown();
                } else {
                    
                    $.ajax(
                        {
                            type : 'POST',
                            data : {
                                action : 'productive_style_process_contact_delete',
                                id : item_id,
                                nonce : productive_style_admin_js_url_name.nonce
                            },
                            url : productive_style_admin_js_url_name.ajax_admin_url,
                            success : function(jsondata, status, xhr) {
                                var response = jsondata.data;
                                if ( response.code === 1 ) {
                                        opened_parent.parents('tr').slideUp(100).fadeOut(500);
                                } else {
                                    opened_parent.children('.productive-style-table-attr-delete-error').html(response.result);
                                    opened_parent.children('.productive-style-table-attr-delete-error').slideDown();
                                    opened_parent.slideDown();
                                }

                            }
                        }
                    );
                }
            }
        );
        
    }
);
