<?php
/**
 *
 * @package productive-style
 */

if ( !defined('ABSPATH') ) {
	die(); 
}

// Plugin global variables
define( 'PRODUCTIVE_STYLE_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'PRODUCTIVE_STYLE_PLUGIN_URI', plugin_dir_url( __FILE__ ) );

define( 'PRODUCTIVE_STYLE_SITE_HOME_URL', home_url() );

define( 'PRODUCTIVE_STYLE_PLUGIN_NAME', 'Productive Contact & Forms' );
define( 'PRODUCTIVE_STYLE_DATABASE_NAME', 'productive_style' );

define( 'PRODUCTIVE_STYLE_PLUGIN_ELEMENT_POST_TYPE_NAME_SINGULAR', 'Site Element' );
define( 'PRODUCTIVE_STYLE_PLUGIN_ELEMENT_POST_TYPE_NAME_PLURAL', 'Site Elements' );
define( 'PRODUCTIVE_STYLE_PLUGIN_ELEMENT_POST_TYPE_SLUG', 'element' );
define( 'PRODUCTIVE_STYLE_PLUGIN_ELEMENT_TAXONOMY_NAME_SINGULAR', 'Element Type' );
define( 'PRODUCTIVE_STYLE_PLUGIN_ELEMENT_TAXONOMY_NAME_PLURAL', 'Element Types' );
define( 'PRODUCTIVE_STYLE_PLUGIN_ELEMENT_TAXONOMY_SLUG', 'element-type' );

define( 'PRODUCTIVE_STYLE_PLUGIN_SERVICE_POST_TYPE_NAME_SINGULAR', 'Service' );
define( 'PRODUCTIVE_STYLE_PLUGIN_SERVICE_POST_TYPE_NAME_PLURAL', 'Services' );
define( 'PRODUCTIVE_STYLE_PLUGIN_SERVICE_POST_TYPE_SLUG', 'service' );

define( 'PRODUCTIVE_STYLE_ADMIN_OVERVIEW_REQUEST_URI', 'productive_options_overview' );
define( 'PRODUCTIVE_STYLE_ADMIN_PAGE_REQUEST_URI', 'productive_style_options_submenu' );

define( 'PRODUCTIVE_STYLE_OPTION_VERSION_KEY', 'productive_style_current_db_version' );
define( 'PRODUCTIVE_STYLE_OPTION_EXTRAS_KEY', 'productive_style_extras_version' );

// Confirmation Message Codes
define( 'PRODUCTIVE_STYLE_SUCCESS_CODE_GENERIC', 1 );
define( 'PRODUCTIVE_STYLE_ERROR_CODE_GENERIC', 1000 );
define( 'PRODUCTIVE_STYLE_ERROR_CODE_SAVE_TO_DB', 10 );
define( 'PRODUCTIVE_STYLE_ERROR_CODE_SEND_EMAIL', 20 );
define( 'PRODUCTIVE_STYLE_ERROR_CODE_INVALID_RECAPTCHA', 30 );

// Confirmation Message Results
define( 'PRODUCTIVE_STYLE_SUCCESS_TEXT_GENERIC', esc_html__('Success', 'productive-style') );
define( 'PRODUCTIVE_STYLE_ERROR_TEXT_GENERIC', esc_html__('Error completing your request', 'productive-style') );
define( 'PRODUCTIVE_STYLE_ERROR_TEXT_SAVE_TO_DB', esc_html__('Unable to save submission, check server configurations and try again.', 'productive-style') );
define( 'PRODUCTIVE_STYLE_ERROR_TEXT_SEND_EMAIL', esc_html__('Unable to send submission email, check server configuration and try again.', 'productive-style') );
define( 'PRODUCTIVE_STYLE_ERROR_TEXT_INVALID_RECAPTCHA', esc_html__('Unable to complete submission, invalid reCaptcha Credentials.', 'productive-style') );

define( 'PRODUCTIVE_STYLE_OPTION_TAB_1_TITLE', esc_html__( 'Submissions', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_OPTION_TAB_1_SUB_TITLE_ALL', esc_html__( 'All', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_OPTION_TAB_1_SUB_TITLE_CONTACT', esc_html__( 'Contact Form Submissions', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_OPTION_TAB_1_SUB_TITLE_NEWSLETTER', esc_html__( 'Newsletter Subscriptions', 'productive-style' ) );

define( 'PRODUCTIVE_STYLE_OPTION_TAB_CONTACT_TITLE', esc_html__( 'Contact Form', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_OPTION_TAB_NEWSLETTER_TITLE', esc_html__( 'Newsletter Form', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_OPTION_TAB_INTEGRATION_TITLE', esc_html__( 'Settings', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_OPTION_TAB_PRO_TITLE', esc_html__( 'Pro Version', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_OPTION_TAB_LICENSE_TITLE', esc_html__( 'License', 'productive-style' ) );
