<?php
/**
 *
 * @package productive-style
 */

if ( !defined('ABSPATH') ) {
	die();
}


function productive_style_database_upgrade_init() {
    $current_version_in_db = get_option( PRODUCTIVE_STYLE_OPTION_VERSION_KEY );
    if ( is_multisite() ) {
        $current_version_in_db = get_site_option( PRODUCTIVE_STYLE_OPTION_VERSION_KEY );
    }
    if ( $current_version_in_db  < PRODUCTIVE_STYLE_VERSION ) {
        if( $current_version_in_db == '1.0.2' ) {
           productive_style_taxonomy_upgrade_element_1_0_2();
        }
        productive_style_database_upgrade();
    }
}
// Enable below when there is an upgrade
add_action( 'plugins_loaded', 'productive_style_database_upgrade_init');

/**
 * Method productive_style_database_upgrade ''.
 */
function productive_style_database_upgrade() {
    $current_version_in_db = get_option( PRODUCTIVE_STYLE_OPTION_VERSION_KEY );
    if ( is_multisite() ) {
        $current_version_in_db = get_site_option( PRODUCTIVE_STYLE_OPTION_VERSION_KEY );
    }
    if ( $current_version_in_db  < PRODUCTIVE_STYLE_VERSION ) {
        update_option( PRODUCTIVE_STYLE_OPTION_VERSION_KEY, PRODUCTIVE_STYLE_VERSION );
    }
}

/**
 * Rename element name and slug to match new design.
 * Method productive_style_taxonomy_upgrade_element_1_0_2 ''.
 */
function productive_style_taxonomy_upgrade_element_1_0_2() {
    global $wpdb;
    $table = $wpdb->prefix . 'terms';

    $data = array(
        'name' => 'Service Element',
        'slug' => 'service-element',
    );
    $where = array( 'name' => 'Services', 'slug' => 'services' );
    $wpdb->update( $table, $data, $where );
    
    $data_f = array(
        'name' => 'Homepage Element',
        'slug' => 'homepage-element',
    );
    $where_f = array( 'name' => 'Features', 'slug' => 'features' );
    $wpdb->update( $table, $data_f, $where_f );
}
