<?php
/**
 * @package   @package productive-style
 */

if ( !function_exists('productive_style_customiser_get_font_families') ) {
    
    define( 'PRODUCTIVE_STYLE_FONT_SIZE_STEP', 0.1 );
    define( 'PRODUCTIVE_STYLE_FONT_SIZE_MIN', 0.7 );
    define( 'PRODUCTIVE_STYLE_FONT_SIZE_MAX', 12 );
    
    define( 'PRODUCTIVE_STYLE_LINE_HEIGHT_SIZE_STEP', 0.1 );
    define( 'PRODUCTIVE_STYLE_LINE_HEIGHT_SIZE_MIN', 1.0 );
    define( 'PRODUCTIVE_STYLE_LINE_HEIGHT_SIZE_MAX', 5.0 );
    
    function productive_style_customiser_get_font_families() {
        return array(
            '' => esc_html__( 'Use Default', 'productive-style' ),
            '--arizonia' => esc_html__( 'Arizonia', 'productive-style' ),
            '--lato' => esc_html__( 'Lato', 'productive-style' ),
            '--montserrat' => esc_html__( 'Montserrat', 'productive-style' ),
            '--merriweather' => esc_html__( 'Merriweather', 'productive-style' ),
            '--merriweather_sans' => esc_html__( 'Merriweather Sans', 'productive-style' ),
            '--oleo_script' => esc_html__( 'Oleo Script', 'productive-style' ),
            '--opensans' => esc_html__( 'Open Sans', 'productive-style' ),
            '--poppins' => esc_html__( 'Poppins', 'productive-style' ),
            '--roboto' => esc_html__( 'Roboto', 'productive-style' ),
            '--tangerine' => esc_html__( 'Tangerine', 'productive-style' ),
        );
    }
    
    function productive_style_customiser_get_font_styles() {
        return array(
                '' => esc_html__( 'Use Default', 'productive-style' ),
                'normal' => esc_html__( 'Normal', 'productive-style' ),
                'italic' => esc_html__( 'Italic', 'productive-style' ),
                'oblique' => esc_html__( 'Oblique', 'productive-style' ),
            );
    }
    
    function productive_style_customiser_get_font_weights() {
        return array(
            '' => esc_html__( 'Use Default', 'productive-style' ),
            'normal' => esc_html__( 'Normal', 'productive-style' ),
            'bold' => esc_html__( 'Bold', 'productive-style' ),
            '100' => esc_html__( '100 ', 'productive-style' ),
            '200' => esc_html__( '200 ', 'productive-style' ),
            '300' => esc_html__( '300 ', 'productive-style' ),
            '400' => esc_html__( '400 ', 'productive-style' ),
            '500' => esc_html__( '500 ', 'productive-style' ),
            '600' => esc_html__( '600 ', 'productive-style' ),
            '700' => esc_html__( '700 ', 'productive-style' ),
            '800' => esc_html__( '800 ', 'productive-style' ),
            '900' => esc_html__( '900 ', 'productive-style' ),
        );
    }
    
    function productive_style_customiser_get_font_transforms() {
        return array(
            '' => esc_html__( 'Default', 'productive-style' ),
            'lowercase' => esc_html__( 'lower case', 'productive-style' ),
            'capitalize' => esc_html__( 'Title Case', 'productive-style' ),
            'uppercase' => esc_html__( 'UPPER CASE', 'productive-style' ),
        );
    }
    
    function productive_style_customiser_get_font_decorations() {
        return array(
            '' => esc_html__( 'Default', 'productive-style' ),
            'overline' => esc_html__( 'Overline', 'productive-style' ),
            'underline' => esc_html__( 'Underline', 'productive-style' ),
            'line-through' => esc_html__( 'Line Through', 'productive-style' ),
            'underline_overline' => esc_html__( 'Underline and Overline', 'productive-style' ),
        );
    }
    
    function productive_style_get_button_radius_css( $shape = 'sharp_corners' ) {
        $css_radius = '';
        switch ($shape) {
            case 'round_corners':
                $css_radius = '5px';
                break;
            case 'ellipse':
                $css_radius = '25px';
                break;
            default:
                $css_radius = '0';
                break;
        }
        return $css_radius;
    }

    function productive_style_customiser_get_button_radius_shapes() {
        return array (
            'sharp_corners' => __( 'Sharp Corners', 'productive-style' ),
            'round_corners' => __( 'Round Corners', 'productive-style' ),
            'ellipse' => __( 'Ellipse', 'productive-style' ),
        );
    }
    
}
