<?php
/**
 *
 * @package productive-style
 */

if ( !defined('ABSPATH') ) {
    die();
}

/**
 * Plugin Name:       Google Fonts, Typography and Elements
 * Plugin URI:        https://www.productiveminds.com/product/productive-style
 * Description:       Host Google Fonts locally. Apply No-code branding & Typography. Add Website Elements such as Services, Homepage Features.
 * Version:           1.0.6
 * Requires at least: 5.2
 * Requires PHP:      5.3
 * Author:            productiveminds.com
 * Author URI:        https://www.productiveminds.com
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       productive-style
 * Domain Path:       /languages
 */

if ( !defined('ABSPATH') ) {
    exit;
}

require_once plugin_dir_path( __FILE__ ) . 'global-settings.php';

if( ! function_exists('get_plugin_data') ){
    require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}
$productive_style_plugin_version_obj        = get_plugin_data( __FILE__ );
$productive_style_plugin_version            = $productive_style_plugin_version_obj['Version'];

$productiveminds_base_demo_url              = 'https://demo.productiveminds.com';
$productiveminds_base_support_url           = 'https://www.productiveminds.com/support';
$productiveminds_base_documentation_url     = 'https://www.productiveminds.com/support/docs';

$plugin_name                    = $productive_style_plugin_version_obj[ 'Name' ];
$plugin_url                     = $productive_style_plugin_version_obj[ 'PluginURI' ];
$author_name                    = $productive_style_plugin_version_obj[ 'Author' ];
$author_url                     = $productive_style_plugin_version_obj[ 'AuthorURI' ];
$plugin_demo_url                = $productiveminds_base_demo_url . '/' . $productive_style_plugin_version_obj[ 'TextDomain' ];
$plugin_support_url             = $productiveminds_base_support_url;
$plugin_documentation_url       = $productiveminds_base_documentation_url . '/' . $productive_style_plugin_version_obj[ 'TextDomain' ];
$plugin_review_on_repo_url      = 'https://wordpress.org/support/plugin' . '/' . $productive_style_plugin_version_obj[ 'TextDomain' ] . '/reviews/';
$plugin_review_pro_url          = $author_url . '/testimonials';
$plugin_download_from_repo_url  = 'https://downloads.wordpress.org/plugin' . '/' . $productive_style_plugin_version_obj[ 'TextDomain' ] .
'.' . $productive_style_plugin_version . '.zip';


define( 'PRODUCTIVE_STYLE_PRODUCT_DOWNLOAD_TYPE', 'product-download' );

define( 'PRODUCTIVE_STYLE_VERSION', $productive_style_plugin_version );
define( 'PRODUCTIVE_STYLE_PLUGIN_DEVELOPER_NAME', 'productiveminds.com' );
define( 'PRODUCTIVE_STYLE_PLUGIN_DEVELOPER_WEBSITE', $author_url );
define( 'PRODUCTIVE_STYLE_CURRENT_PLUGIN_NAME', $plugin_name );
define( 'PRODUCTIVE_STYLE_PLUGIN_DEMO_URL', $plugin_demo_url );
define( 'PRODUCTIVE_STYLE_PLUGIN_SUPPORT_URL', $plugin_support_url );
define( 'PRODUCTIVE_STYLE_PLUGIN_DOCUMENTATION_URL', $plugin_documentation_url );
define( 'PRODUCTIVE_STYLE_PLUGIN_DOWNLOAD_FROM_REPO_URL', $plugin_download_from_repo_url );
define( 'PRODUCTIVE_STYLE_PLUGIN_REVIEW_ON_REPO_URL', $plugin_review_on_repo_url );
define( 'PRODUCTIVE_STYLE_PLUGIN_PRO_REVIEW_URL', $plugin_review_pro_url );
define( 'PRODUCTIVE_STYLE_PLUGIN_FEATURES_OR_BUY_URL', $plugin_url );
define( 'PRODUCTIVE_STYLE_HOMEPAGE_PLUGIN_ICON', PRODUCTIVE_STYLE_PLUGIN_PATH . 'public/images/plugin-icon.webp' );

define( 'PRODUCTIVE_STYLE_CURRENT_PLUGIN_NAME_CUSTOMIZER_TYPOGRAPHY', esc_html__( 'Theme Typography', 'productive-style' ) );
define( 'PRODUCTIVE_STYLE_CURRENT_PLUGIN_NAME_CUSTOMIZER_HOMEPAGE', esc_html__( 'Theme Homepage', 'productive-style' ) );


// These require must be here, after global vars assignments
/* ======================== start Standard ================== */
require_once PRODUCTIVE_STYLE_PLUGIN_PATH . 'includes/standard/functions.php';
/* ======================== end Standard ================== */

// Start main plugin activation
register_activation_hook( __FILE__, 'productive_style_activate');

// Start main plugin deactivation
register_deactivation_hook( __FILE__, 'productive_style_deactivate' );


/**
 * Method productive_style_is_active.
 */
function productive_style_is_active() {}


/**
 * Method enable featured image.
 */
function productive_style_setup_plugin() {
    // initiate text-domain.
    load_plugin_textdomain( 'productive-style', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}
add_action( 'init', 'productive_style_setup_plugin' );

